-- VHDL test bench created from symbol autoconf.sym -- Jun 23 21:59:11 2005

LIBRARY vanmacro;
USE vanmacro.components.ALL;
LIBRARY ieee;
LIBRARY generics;
USE ieee.std_logic_1164.ALL;
USE ieee.numeric_std.ALL;
USE generics.components.ALL;

entity testbench is
end testbench;

Architecture behavior of testbench is

   signal    A23_i : std_logic;
   signal    A22_i : std_logic;
   signal    A19_i : std_logic;
   signal    A18_i : std_logic;
   signal    A17_i : std_logic;
   signal    A16_i : std_logic;
   signal     A6_i : std_logic;
   signal     A5_i : std_logic;
   signal     A4_i : std_logic;
   signal     A3_i : std_logic;
   signal     A2_i : std_logic;
   signal     A1_i : std_logic;
   signal   D12_io : std_logic;
   signal   D13_io : std_logic;
   signal   D14_io : std_logic;
   signal   D15_io : std_logic;
   signal CONOUT_o : std_logic;
   signal    A21_i : std_logic;
   signal    A20_i : std_logic;
   signal      CE5 : std_logic;
   signal      CE4 : std_logic;
   signal      CE3 : std_logic;
   signal      CE2 : std_logic;
   signal      CE1 : std_logic;
   signal      CE0 : std_logic;
   signal      OEU : std_logic;
   signal      OEL : std_logic;
   signal    CLR_i : std_logic;
   signal  ROMEN_i : std_logic;
   signal    LDS_i : std_logic;
   signal    UDS_i : std_logic;
   signal     RW_i : std_logic;
   signal  CONIN_I : std_logic;
   signal  AS_00_i : std_logic;

   component AUTOCONF
      Port (   A23_i : In    std_logic;
               A22_i : In    std_logic;
               A19_i : In    std_logic;
               A18_i : In    std_logic;
               A17_i : In    std_logic;
               A16_i : In    std_logic;
                A6_i : In    std_logic;
                A5_i : In    std_logic;
                A4_i : In    std_logic;
                A3_i : In    std_logic;
                A2_i : In    std_logic;
                A1_i : In    std_logic;
              D12_io : InOut std_logic;
              D13_io : InOut std_logic;
              D14_io : InOut std_logic;
              D15_io : InOut std_logic;
             CONOUT_o : Out   std_logic;
               A21_i : In    std_logic;
               A20_i : In    std_logic;
                 CE5 : Out   std_logic;
                 CE4 : Out   std_logic;
                 CE3 : Out   std_logic;
                 CE2 : Out   std_logic;
                 CE1 : Out   std_logic;
                 CE0 : Out   std_logic;
                 OEU : Out   std_logic;
                 OEL : Out   std_logic;
               CLR_i : In    std_logic;
             ROMEN_i : In    std_logic;
               LDS_i : In    std_logic;
               UDS_i : In    std_logic;
                RW_i : In    std_logic;
             CONIN_I : In    std_logic;
             AS_00_i : In    std_logic );
   end component;

begin
   UUT : AUTOCONF
      Port Map ( A16_i=>A16_i, A17_i=>A17_i, A18_i=>A18_i, A19_i=>A19_i,
                 A1_i=>A1_i, A20_i=>A20_i, A21_i=>A21_i, A22_i=>A22_i,
                 A23_i=>A23_i, A2_i=>A2_i, A3_i=>A3_i, A4_i=>A4_i,
                 A5_i=>A5_i, A6_i=>A6_i, AS_00_i=>AS_00_i, CE0=>CE0,
                 CE1=>CE1, CE2=>CE2, CE3=>CE3, CE4=>CE4, CE5=>CE5,
                 CLR_i=>CLR_i, CONIN_I=>CONIN_I, CONOUT_o=>CONOUT_o,
                 D12_io=>D12_io, D13_io=>D13_io, D14_io=>D14_io,
                 D15_io=>D15_io, LDS_i=>LDS_i, OEL=>OEL, OEU=>OEU,
                 ROMEN_i=>ROMEN_i, RW_i=>RW_i, UDS_i=>UDS_i );

-- *** Test Bench - User Defined Section ***
   TB : process
   begin
      wait; -- will wait forever
   end process;
-- *** End Test Bench - User Defined Section ***

end behavior;

