MODEL
MODEL_VERSION "1.0";
DESIGN "autoconf";
DATE "Thu Oct 27 23:49:33 2005";
VENDOR "Lattice Semiconductor Corporation";
PROGRAM "STAMP Model Generator";

/* port name and type */
INPUT A20_I;
INPUT BERR_I;
INPUT LDS_I;
INPUT A5_I;
INPUT ROMEN_I;
INPUT RW_I;
INPUT A3_I;
INPUT AS_00_I;
INPUT CONIN_I;
INPUT A18_I;
INPUT A1_I;
INPUT A23_I;
INPUT A16_I;
INPUT A21_I;
INPUT UDS_I;
INPUT A6_I;
INPUT A4_I;
INPUT CLR_I;
INPUT A19_I;
INPUT A2_I;
INPUT A17_I;
INPUT A22_I;
OUTPUT OE;
OUTPUT D12_IO;
OUTPUT CE0;
OUTPUT CE1;
OUTPUT CE2;
OUTPUT CE3;
OUTPUT CE4;
OUTPUT CE5;
OUTPUT CE6;
OUTPUT CE7;
INOUT D15_IO;
INOUT D14_IO;
INOUT D13_IO;

/* timing arc definitions */
A23_I_CE7_delay: DELAY A23_I CE7;
A22_I_CE7_delay: DELAY A22_I CE7;
A21_I_CE7_delay: DELAY A21_I CE7;
AS_00_I_CE7_delay: DELAY AS_00_I CE7;
A20_I_CE7_delay: DELAY A20_I CE7;
UDS_I_CE7_delay: DELAY UDS_I CE7;
A23_I_CE6_delay: DELAY A23_I CE6;
A22_I_CE6_delay: DELAY A22_I CE6;
A21_I_CE6_delay: DELAY A21_I CE6;
AS_00_I_CE6_delay: DELAY AS_00_I CE6;
A20_I_CE6_delay: DELAY A20_I CE6;
UDS_I_CE6_delay: DELAY UDS_I CE6;
A23_I_CE5_delay: DELAY A23_I CE5;
A22_I_CE5_delay: DELAY A22_I CE5;
A21_I_CE5_delay: DELAY A21_I CE5;
AS_00_I_CE5_delay: DELAY AS_00_I CE5;
A20_I_CE5_delay: DELAY A20_I CE5;
UDS_I_CE5_delay: DELAY UDS_I CE5;
A23_I_CE4_delay: DELAY A23_I CE4;
A22_I_CE4_delay: DELAY A22_I CE4;
A21_I_CE4_delay: DELAY A21_I CE4;
AS_00_I_CE4_delay: DELAY AS_00_I CE4;
A20_I_CE4_delay: DELAY A20_I CE4;
UDS_I_CE4_delay: DELAY UDS_I CE4;
A23_I_CE3_delay: DELAY A23_I CE3;
A22_I_CE3_delay: DELAY A22_I CE3;
A21_I_CE3_delay: DELAY A21_I CE3;
AS_00_I_CE3_delay: DELAY AS_00_I CE3;
A20_I_CE3_delay: DELAY A20_I CE3;
LDS_I_CE3_delay: DELAY LDS_I CE3;
A23_I_CE2_delay: DELAY A23_I CE2;
A22_I_CE2_delay: DELAY A22_I CE2;
A21_I_CE2_delay: DELAY A21_I CE2;
AS_00_I_CE2_delay: DELAY AS_00_I CE2;
A20_I_CE2_delay: DELAY A20_I CE2;
LDS_I_CE2_delay: DELAY LDS_I CE2;
A23_I_CE1_delay: DELAY A23_I CE1;
A22_I_CE1_delay: DELAY A22_I CE1;
A21_I_CE1_delay: DELAY A21_I CE1;
AS_00_I_CE1_delay: DELAY AS_00_I CE1;
A20_I_CE1_delay: DELAY A20_I CE1;
LDS_I_CE1_delay: DELAY LDS_I CE1;
A23_I_CE0_delay: DELAY A23_I CE0;
A22_I_CE0_delay: DELAY A22_I CE0;
A21_I_CE0_delay: DELAY A21_I CE0;
AS_00_I_CE0_delay: DELAY AS_00_I CE0;
A20_I_CE0_delay: DELAY A20_I CE0;
LDS_I_CE0_delay: DELAY LDS_I CE0;
A23_I_D12_IO_delay: DELAY A23_I D12_IO;
A22_I_D12_IO_delay: DELAY A22_I D12_IO;
A21_I_D12_IO_delay: DELAY A21_I D12_IO;
AS_00_I_D12_IO_delay: DELAY AS_00_I D12_IO;
A20_I_D12_IO_delay: DELAY A20_I D12_IO;
CONIN_I_D12_IO_delay: DELAY CONIN_I D12_IO;
A19_I_D12_IO_delay: DELAY A19_I D12_IO;
A18_I_D12_IO_delay: DELAY A18_I D12_IO;
A17_I_D12_IO_delay: DELAY A17_I D12_IO;
A16_I_D12_IO_delay: DELAY A16_I D12_IO;
A4_I_D12_IO_delay: DELAY A4_I D12_IO;
A2_I_D12_IO_delay: DELAY A2_I D12_IO;
A1_I_D12_IO_delay: DELAY A1_I D12_IO;
A5_I_D12_IO_delay: DELAY A5_I D12_IO;
A3_I_D12_IO_delay: DELAY A3_I D12_IO;
RW_I_D12_IO_delay: DELAY RW_I D12_IO;
BERR_I_D12_IO_delay: DELAY BERR_I D12_IO;
A6_I_D12_IO_delay: DELAY A6_I D12_IO;
AS_00_I_OE_delay: DELAY AS_00_I OE;
BERR_I_OE_delay: DELAY BERR_I OE;
A23_I_OE_delay: DELAY A23_I OE;
A22_I_OE_delay: DELAY A22_I OE;
A21_I_OE_delay: DELAY A21_I OE;
A2_I_D13_IO_delay: DELAY A2_I D13_IO;
A6_I_D13_IO_delay: DELAY A6_I D13_IO;
A4_I_D13_IO_delay: DELAY A4_I D13_IO;
A1_I_D13_IO_delay: DELAY A1_I D13_IO;
ROMEN_I_D13_IO_delay: DELAY ROMEN_I D13_IO;
A23_I_D13_IO_delay: DELAY A23_I D13_IO;
A22_I_D13_IO_delay: DELAY A22_I D13_IO;
A21_I_D13_IO_delay: DELAY A21_I D13_IO;
AS_00_I_D13_IO_delay: DELAY AS_00_I D13_IO;
A20_I_D13_IO_delay: DELAY A20_I D13_IO;
CONIN_I_D13_IO_delay: DELAY CONIN_I D13_IO;
A19_I_D13_IO_delay: DELAY A19_I D13_IO;
A18_I_D13_IO_delay: DELAY A18_I D13_IO;
A17_I_D13_IO_delay: DELAY A17_I D13_IO;
A16_I_D13_IO_delay: DELAY A16_I D13_IO;
A5_I_D13_IO_delay: DELAY A5_I D13_IO;
RW_I_D13_IO_delay: DELAY RW_I D13_IO;
BERR_I_D13_IO_delay: DELAY BERR_I D13_IO;
A3_I_D13_IO_delay: DELAY A3_I D13_IO;
A2_I_D14_IO_delay: DELAY A2_I D14_IO;
A1_I_D14_IO_delay: DELAY A1_I D14_IO;
A6_I_D14_IO_delay: DELAY A6_I D14_IO;
A4_I_D14_IO_delay: DELAY A4_I D14_IO;
A23_I_D14_IO_delay: DELAY A23_I D14_IO;
A22_I_D14_IO_delay: DELAY A22_I D14_IO;
A21_I_D14_IO_delay: DELAY A21_I D14_IO;
AS_00_I_D14_IO_delay: DELAY AS_00_I D14_IO;
A20_I_D14_IO_delay: DELAY A20_I D14_IO;
CONIN_I_D14_IO_delay: DELAY CONIN_I D14_IO;
A19_I_D14_IO_delay: DELAY A19_I D14_IO;
A18_I_D14_IO_delay: DELAY A18_I D14_IO;
A17_I_D14_IO_delay: DELAY A17_I D14_IO;
A16_I_D14_IO_delay: DELAY A16_I D14_IO;
A3_I_D14_IO_delay: DELAY A3_I D14_IO;
A5_I_D14_IO_delay: DELAY A5_I D14_IO;
RW_I_D14_IO_delay: DELAY RW_I D14_IO;
BERR_I_D14_IO_delay: DELAY BERR_I D14_IO;
A23_I_D15_IO_delay: DELAY A23_I D15_IO;
A22_I_D15_IO_delay: DELAY A22_I D15_IO;
A21_I_D15_IO_delay: DELAY A21_I D15_IO;
AS_00_I_D15_IO_delay: DELAY AS_00_I D15_IO;
A20_I_D15_IO_delay: DELAY A20_I D15_IO;
A1_I_D15_IO_delay: DELAY A1_I D15_IO;
CONIN_I_D15_IO_delay: DELAY CONIN_I D15_IO;
A19_I_D15_IO_delay: DELAY A19_I D15_IO;
A18_I_D15_IO_delay: DELAY A18_I D15_IO;
A17_I_D15_IO_delay: DELAY A17_I D15_IO;
A16_I_D15_IO_delay: DELAY A16_I D15_IO;
A2_I_D15_IO_delay: DELAY A2_I D15_IO;
A5_I_D15_IO_delay: DELAY A5_I D15_IO;
A3_I_D15_IO_delay: DELAY A3_I D15_IO;
A6_I_D15_IO_delay: DELAY A6_I D15_IO;
A4_I_D15_IO_delay: DELAY A4_I D15_IO;
RW_I_D15_IO_delay: DELAY RW_I D15_IO;
BERR_I_D15_IO_delay: DELAY BERR_I D15_IO;
A23_I_CE7_delay: DELAY A23_I CE7;
A23_I_CE6_delay: DELAY A23_I CE6;
A23_I_CE5_delay: DELAY A23_I CE5;
A23_I_CE4_delay: DELAY A23_I CE4;
A23_I_CE3_delay: DELAY A23_I CE3;
A23_I_CE2_delay: DELAY A23_I CE2;
A23_I_CE1_delay: DELAY A23_I CE1;
A23_I_CE0_delay: DELAY A23_I CE0;
A23_I_OE_delay: DELAY A23_I OE;
A22_I_CE7_delay: DELAY A22_I CE7;
A22_I_CE6_delay: DELAY A22_I CE6;
A22_I_CE5_delay: DELAY A22_I CE5;
A22_I_CE4_delay: DELAY A22_I CE4;
A22_I_CE3_delay: DELAY A22_I CE3;
A22_I_CE2_delay: DELAY A22_I CE2;
A22_I_CE1_delay: DELAY A22_I CE1;
A22_I_CE0_delay: DELAY A22_I CE0;
A22_I_OE_delay: DELAY A22_I OE;
A21_I_CE7_delay: DELAY A21_I CE7;
A21_I_CE6_delay: DELAY A21_I CE6;
A21_I_CE5_delay: DELAY A21_I CE5;
A21_I_CE4_delay: DELAY A21_I CE4;
A21_I_CE3_delay: DELAY A21_I CE3;
A21_I_CE2_delay: DELAY A21_I CE2;
A21_I_CE1_delay: DELAY A21_I CE1;
A21_I_CE0_delay: DELAY A21_I CE0;
A21_I_OE_delay: DELAY A21_I OE;
AS_00_I_CE7_delay: DELAY AS_00_I CE7;
AS_00_I_CE6_delay: DELAY AS_00_I CE6;
AS_00_I_CE5_delay: DELAY AS_00_I CE5;
AS_00_I_CE4_delay: DELAY AS_00_I CE4;
AS_00_I_CE3_delay: DELAY AS_00_I CE3;
AS_00_I_CE2_delay: DELAY AS_00_I CE2;
AS_00_I_CE1_delay: DELAY AS_00_I CE1;
AS_00_I_CE0_delay: DELAY AS_00_I CE0;
AS_00_I_OE_delay: DELAY AS_00_I OE;
A20_I_CE7_delay: DELAY A20_I CE7;
A20_I_CE6_delay: DELAY A20_I CE6;
A20_I_CE5_delay: DELAY A20_I CE5;
A20_I_CE4_delay: DELAY A20_I CE4;
A20_I_CE3_delay: DELAY A20_I CE3;
A20_I_CE2_delay: DELAY A20_I CE2;
A20_I_CE1_delay: DELAY A20_I CE1;
A20_I_CE0_delay: DELAY A20_I CE0;
A20_I_OE_delay: DELAY A20_I OE;
CONIN_I_CE7_delay: DELAY CONIN_I CE7;
CONIN_I_CE6_delay: DELAY CONIN_I CE6;
CONIN_I_CE5_delay: DELAY CONIN_I CE5;
CONIN_I_CE4_delay: DELAY CONIN_I CE4;
CONIN_I_CE3_delay: DELAY CONIN_I CE3;
CONIN_I_CE2_delay: DELAY CONIN_I CE2;
CONIN_I_CE1_delay: DELAY CONIN_I CE1;
CONIN_I_CE0_delay: DELAY CONIN_I CE0;
CONIN_I_OE_delay: DELAY CONIN_I OE;
A19_I_CE7_delay: DELAY A19_I CE7;
A19_I_CE6_delay: DELAY A19_I CE6;
A19_I_CE5_delay: DELAY A19_I CE5;
A19_I_CE4_delay: DELAY A19_I CE4;
A19_I_CE3_delay: DELAY A19_I CE3;
A19_I_CE2_delay: DELAY A19_I CE2;
A19_I_CE1_delay: DELAY A19_I CE1;
A19_I_CE0_delay: DELAY A19_I CE0;
A19_I_OE_delay: DELAY A19_I OE;
A18_I_CE7_delay: DELAY A18_I CE7;
A18_I_CE6_delay: DELAY A18_I CE6;
A18_I_CE5_delay: DELAY A18_I CE5;
A18_I_CE4_delay: DELAY A18_I CE4;
A18_I_CE3_delay: DELAY A18_I CE3;
A18_I_CE2_delay: DELAY A18_I CE2;
A18_I_CE1_delay: DELAY A18_I CE1;
A18_I_CE0_delay: DELAY A18_I CE0;
A18_I_OE_delay: DELAY A18_I OE;
A17_I_CE7_delay: DELAY A17_I CE7;
A17_I_CE6_delay: DELAY A17_I CE6;
A17_I_CE5_delay: DELAY A17_I CE5;
A17_I_CE4_delay: DELAY A17_I CE4;
A17_I_CE3_delay: DELAY A17_I CE3;
A17_I_CE2_delay: DELAY A17_I CE2;
A17_I_CE1_delay: DELAY A17_I CE1;
A17_I_CE0_delay: DELAY A17_I CE0;
A17_I_OE_delay: DELAY A17_I OE;
A16_I_CE7_delay: DELAY A16_I CE7;
A16_I_CE6_delay: DELAY A16_I CE6;
A16_I_CE5_delay: DELAY A16_I CE5;
A16_I_CE4_delay: DELAY A16_I CE4;
A16_I_CE3_delay: DELAY A16_I CE3;
A16_I_CE2_delay: DELAY A16_I CE2;
A16_I_CE1_delay: DELAY A16_I CE1;
A16_I_CE0_delay: DELAY A16_I CE0;
A16_I_OE_delay: DELAY A16_I OE;
A1_I_CE7_delay: DELAY A1_I CE7;
A1_I_CE6_delay: DELAY A1_I CE6;
A1_I_CE5_delay: DELAY A1_I CE5;
A1_I_CE4_delay: DELAY A1_I CE4;
A1_I_CE3_delay: DELAY A1_I CE3;
A1_I_CE2_delay: DELAY A1_I CE2;
A1_I_CE1_delay: DELAY A1_I CE1;
A1_I_CE0_delay: DELAY A1_I CE0;
A1_I_OE_delay: DELAY A1_I OE;
A6_I_CE7_delay: DELAY A6_I CE7;
A6_I_CE6_delay: DELAY A6_I CE6;
A6_I_CE5_delay: DELAY A6_I CE5;
A6_I_CE4_delay: DELAY A6_I CE4;
A6_I_CE3_delay: DELAY A6_I CE3;
A6_I_CE2_delay: DELAY A6_I CE2;
A6_I_CE1_delay: DELAY A6_I CE1;
A6_I_CE0_delay: DELAY A6_I CE0;
A6_I_OE_delay: DELAY A6_I OE;
RW_I_CE7_delay: DELAY RW_I CE7;
RW_I_CE6_delay: DELAY RW_I CE6;
RW_I_CE5_delay: DELAY RW_I CE5;
RW_I_CE4_delay: DELAY RW_I CE4;
RW_I_CE3_delay: DELAY RW_I CE3;
RW_I_CE2_delay: DELAY RW_I CE2;
RW_I_CE1_delay: DELAY RW_I CE1;
RW_I_CE0_delay: DELAY RW_I CE0;
RW_I_OE_delay: DELAY RW_I OE;
A2_I_CE7_delay: DELAY A2_I CE7;
A2_I_CE6_delay: DELAY A2_I CE6;
A2_I_CE5_delay: DELAY A2_I CE5;
A2_I_CE4_delay: DELAY A2_I CE4;
A2_I_CE3_delay: DELAY A2_I CE3;
A2_I_CE2_delay: DELAY A2_I CE2;
A2_I_CE1_delay: DELAY A2_I CE1;
A2_I_CE0_delay: DELAY A2_I CE0;
A2_I_OE_delay: DELAY A2_I OE;
A5_I_CE7_delay: DELAY A5_I CE7;
A5_I_CE6_delay: DELAY A5_I CE6;
A5_I_CE5_delay: DELAY A5_I CE5;
A5_I_CE4_delay: DELAY A5_I CE4;
A5_I_CE3_delay: DELAY A5_I CE3;
A5_I_CE2_delay: DELAY A5_I CE2;
A5_I_CE1_delay: DELAY A5_I CE1;
A5_I_CE0_delay: DELAY A5_I CE0;
A5_I_OE_delay: DELAY A5_I OE;
A3_I_CE7_delay: DELAY A3_I CE7;
A3_I_CE6_delay: DELAY A3_I CE6;
A3_I_CE5_delay: DELAY A3_I CE5;
A3_I_CE4_delay: DELAY A3_I CE4;
A3_I_CE3_delay: DELAY A3_I CE3;
A3_I_CE2_delay: DELAY A3_I CE2;
A3_I_CE1_delay: DELAY A3_I CE1;
A3_I_CE0_delay: DELAY A3_I CE0;
A3_I_OE_delay: DELAY A3_I OE;
A4_I_CE7_delay: DELAY A4_I CE7;
A4_I_CE6_delay: DELAY A4_I CE6;
A4_I_CE5_delay: DELAY A4_I CE5;
A4_I_CE4_delay: DELAY A4_I CE4;
A4_I_CE3_delay: DELAY A4_I CE3;
A4_I_CE2_delay: DELAY A4_I CE2;
A4_I_CE1_delay: DELAY A4_I CE1;
A4_I_CE0_delay: DELAY A4_I CE0;
A4_I_OE_delay: DELAY A4_I OE;
A23_I_CE7_delay: DELAY A23_I CE7;
A23_I_CE6_delay: DELAY A23_I CE6;
A23_I_CE5_delay: DELAY A23_I CE5;
A23_I_CE4_delay: DELAY A23_I CE4;
A23_I_CE3_delay: DELAY A23_I CE3;
A23_I_CE2_delay: DELAY A23_I CE2;
A23_I_CE1_delay: DELAY A23_I CE1;
A23_I_CE0_delay: DELAY A23_I CE0;
A23_I_OE_delay: DELAY A23_I OE;
A22_I_CE7_delay: DELAY A22_I CE7;
A22_I_CE6_delay: DELAY A22_I CE6;
A22_I_CE5_delay: DELAY A22_I CE5;
A22_I_CE4_delay: DELAY A22_I CE4;
A22_I_CE3_delay: DELAY A22_I CE3;
A22_I_CE2_delay: DELAY A22_I CE2;
A22_I_CE1_delay: DELAY A22_I CE1;
A22_I_CE0_delay: DELAY A22_I CE0;
A22_I_OE_delay: DELAY A22_I OE;
A21_I_CE7_delay: DELAY A21_I CE7;
A21_I_CE6_delay: DELAY A21_I CE6;
A21_I_CE5_delay: DELAY A21_I CE5;
A21_I_CE4_delay: DELAY A21_I CE4;
A21_I_CE3_delay: DELAY A21_I CE3;
A21_I_CE2_delay: DELAY A21_I CE2;
A21_I_CE1_delay: DELAY A21_I CE1;
A21_I_CE0_delay: DELAY A21_I CE0;
A21_I_OE_delay: DELAY A21_I OE;
AS_00_I_CE7_delay: DELAY AS_00_I CE7;
AS_00_I_CE6_delay: DELAY AS_00_I CE6;
AS_00_I_CE5_delay: DELAY AS_00_I CE5;
AS_00_I_CE4_delay: DELAY AS_00_I CE4;
AS_00_I_CE3_delay: DELAY AS_00_I CE3;
AS_00_I_CE2_delay: DELAY AS_00_I CE2;
AS_00_I_CE1_delay: DELAY AS_00_I CE1;
AS_00_I_CE0_delay: DELAY AS_00_I CE0;
AS_00_I_OE_delay: DELAY AS_00_I OE;
A20_I_CE7_delay: DELAY A20_I CE7;
A20_I_CE6_delay: DELAY A20_I CE6;
A20_I_CE5_delay: DELAY A20_I CE5;
A20_I_CE4_delay: DELAY A20_I CE4;
A20_I_CE3_delay: DELAY A20_I CE3;
A20_I_CE2_delay: DELAY A20_I CE2;
A20_I_CE1_delay: DELAY A20_I CE1;
A20_I_CE0_delay: DELAY A20_I CE0;
A20_I_OE_delay: DELAY A20_I OE;
CONIN_I_CE7_delay: DELAY CONIN_I CE7;
CONIN_I_CE6_delay: DELAY CONIN_I CE6;
CONIN_I_CE5_delay: DELAY CONIN_I CE5;
CONIN_I_CE4_delay: DELAY CONIN_I CE4;
CONIN_I_CE3_delay: DELAY CONIN_I CE3;
CONIN_I_CE2_delay: DELAY CONIN_I CE2;
CONIN_I_CE1_delay: DELAY CONIN_I CE1;
CONIN_I_CE0_delay: DELAY CONIN_I CE0;
CONIN_I_OE_delay: DELAY CONIN_I OE;
A19_I_CE7_delay: DELAY A19_I CE7;
A19_I_CE6_delay: DELAY A19_I CE6;
A19_I_CE5_delay: DELAY A19_I CE5;
A19_I_CE4_delay: DELAY A19_I CE4;
A19_I_CE3_delay: DELAY A19_I CE3;
A19_I_CE2_delay: DELAY A19_I CE2;
A19_I_CE1_delay: DELAY A19_I CE1;
A19_I_CE0_delay: DELAY A19_I CE0;
A19_I_OE_delay: DELAY A19_I OE;
A18_I_CE7_delay: DELAY A18_I CE7;
A18_I_CE6_delay: DELAY A18_I CE6;
A18_I_CE5_delay: DELAY A18_I CE5;
A18_I_CE4_delay: DELAY A18_I CE4;
A18_I_CE3_delay: DELAY A18_I CE3;
A18_I_CE2_delay: DELAY A18_I CE2;
A18_I_CE1_delay: DELAY A18_I CE1;
A18_I_CE0_delay: DELAY A18_I CE0;
A18_I_OE_delay: DELAY A18_I OE;
A17_I_CE7_delay: DELAY A17_I CE7;
A17_I_CE6_delay: DELAY A17_I CE6;
A17_I_CE5_delay: DELAY A17_I CE5;
A17_I_CE4_delay: DELAY A17_I CE4;
A17_I_CE3_delay: DELAY A17_I CE3;
A17_I_CE2_delay: DELAY A17_I CE2;
A17_I_CE1_delay: DELAY A17_I CE1;
A17_I_CE0_delay: DELAY A17_I CE0;
A17_I_OE_delay: DELAY A17_I OE;
A16_I_CE7_delay: DELAY A16_I CE7;
A16_I_CE6_delay: DELAY A16_I CE6;
A16_I_CE5_delay: DELAY A16_I CE5;
A16_I_CE4_delay: DELAY A16_I CE4;
A16_I_CE3_delay: DELAY A16_I CE3;
A16_I_CE2_delay: DELAY A16_I CE2;
A16_I_CE1_delay: DELAY A16_I CE1;
A16_I_CE0_delay: DELAY A16_I CE0;
A16_I_OE_delay: DELAY A16_I OE;
A1_I_CE7_delay: DELAY A1_I CE7;
A1_I_CE6_delay: DELAY A1_I CE6;
A1_I_CE5_delay: DELAY A1_I CE5;
A1_I_CE4_delay: DELAY A1_I CE4;
A1_I_CE3_delay: DELAY A1_I CE3;
A1_I_CE2_delay: DELAY A1_I CE2;
A1_I_CE1_delay: DELAY A1_I CE1;
A1_I_CE0_delay: DELAY A1_I CE0;
A1_I_OE_delay: DELAY A1_I OE;
A6_I_CE7_delay: DELAY A6_I CE7;
A6_I_CE6_delay: DELAY A6_I CE6;
A6_I_CE5_delay: DELAY A6_I CE5;
A6_I_CE4_delay: DELAY A6_I CE4;
A6_I_CE3_delay: DELAY A6_I CE3;
A6_I_CE2_delay: DELAY A6_I CE2;
A6_I_CE1_delay: DELAY A6_I CE1;
A6_I_CE0_delay: DELAY A6_I CE0;
A6_I_OE_delay: DELAY A6_I OE;
RW_I_CE7_delay: DELAY RW_I CE7;
RW_I_CE6_delay: DELAY RW_I CE6;
RW_I_CE5_delay: DELAY RW_I CE5;
RW_I_CE4_delay: DELAY RW_I CE4;
RW_I_CE3_delay: DELAY RW_I CE3;
RW_I_CE2_delay: DELAY RW_I CE2;
RW_I_CE1_delay: DELAY RW_I CE1;
RW_I_CE0_delay: DELAY RW_I CE0;
RW_I_OE_delay: DELAY RW_I OE;
A2_I_CE7_delay: DELAY A2_I CE7;
A2_I_CE6_delay: DELAY A2_I CE6;
A2_I_CE5_delay: DELAY A2_I CE5;
A2_I_CE4_delay: DELAY A2_I CE4;
A2_I_CE3_delay: DELAY A2_I CE3;
A2_I_CE2_delay: DELAY A2_I CE2;
A2_I_CE1_delay: DELAY A2_I CE1;
A2_I_CE0_delay: DELAY A2_I CE0;
A2_I_OE_delay: DELAY A2_I OE;
A5_I_CE7_delay: DELAY A5_I CE7;
A5_I_CE6_delay: DELAY A5_I CE6;
A5_I_CE5_delay: DELAY A5_I CE5;
A5_I_CE4_delay: DELAY A5_I CE4;
A5_I_CE3_delay: DELAY A5_I CE3;
A5_I_CE2_delay: DELAY A5_I CE2;
A5_I_CE1_delay: DELAY A5_I CE1;
A5_I_CE0_delay: DELAY A5_I CE0;
A5_I_OE_delay: DELAY A5_I OE;
A3_I_CE7_delay: DELAY A3_I CE7;
A3_I_CE6_delay: DELAY A3_I CE6;
A3_I_CE5_delay: DELAY A3_I CE5;
A3_I_CE4_delay: DELAY A3_I CE4;
A3_I_CE3_delay: DELAY A3_I CE3;
A3_I_CE2_delay: DELAY A3_I CE2;
A3_I_CE1_delay: DELAY A3_I CE1;
A3_I_CE0_delay: DELAY A3_I CE0;
A3_I_OE_delay: DELAY A3_I OE;
A4_I_CE7_delay: DELAY A4_I CE7;
A4_I_CE6_delay: DELAY A4_I CE6;
A4_I_CE5_delay: DELAY A4_I CE5;
A4_I_CE4_delay: DELAY A4_I CE4;
A4_I_CE3_delay: DELAY A4_I CE3;
A4_I_CE2_delay: DELAY A4_I CE2;
A4_I_CE1_delay: DELAY A4_I CE1;
A4_I_CE0_delay: DELAY A4_I CE0;
A4_I_OE_delay: DELAY A4_I OE;
A23_I_CE7_delay: DELAY A23_I CE7;
A23_I_CE6_delay: DELAY A23_I CE6;
A23_I_CE5_delay: DELAY A23_I CE5;
A23_I_CE4_delay: DELAY A23_I CE4;
A23_I_CE3_delay: DELAY A23_I CE3;
A23_I_CE2_delay: DELAY A23_I CE2;
A23_I_CE1_delay: DELAY A23_I CE1;
A23_I_CE0_delay: DELAY A23_I CE0;
A23_I_OE_delay: DELAY A23_I OE;
A22_I_CE7_delay: DELAY A22_I CE7;
A22_I_CE6_delay: DELAY A22_I CE6;
A22_I_CE5_delay: DELAY A22_I CE5;
A22_I_CE4_delay: DELAY A22_I CE4;
A22_I_CE3_delay: DELAY A22_I CE3;
A22_I_CE2_delay: DELAY A22_I CE2;
A22_I_CE1_delay: DELAY A22_I CE1;
A22_I_CE0_delay: DELAY A22_I CE0;
A22_I_OE_delay: DELAY A22_I OE;
A21_I_CE7_delay: DELAY A21_I CE7;
A21_I_CE6_delay: DELAY A21_I CE6;
A21_I_CE5_delay: DELAY A21_I CE5;
A21_I_CE4_delay: DELAY A21_I CE4;
A21_I_CE3_delay: DELAY A21_I CE3;
A21_I_CE2_delay: DELAY A21_I CE2;
A21_I_CE1_delay: DELAY A21_I CE1;
A21_I_CE0_delay: DELAY A21_I CE0;
A21_I_OE_delay: DELAY A21_I OE;
AS_00_I_CE7_delay: DELAY AS_00_I CE7;
AS_00_I_CE6_delay: DELAY AS_00_I CE6;
AS_00_I_CE5_delay: DELAY AS_00_I CE5;
AS_00_I_CE4_delay: DELAY AS_00_I CE4;
AS_00_I_CE3_delay: DELAY AS_00_I CE3;
AS_00_I_CE2_delay: DELAY AS_00_I CE2;
AS_00_I_CE1_delay: DELAY AS_00_I CE1;
AS_00_I_CE0_delay: DELAY AS_00_I CE0;
AS_00_I_OE_delay: DELAY AS_00_I OE;
A20_I_CE7_delay: DELAY A20_I CE7;
A20_I_CE6_delay: DELAY A20_I CE6;
A20_I_CE5_delay: DELAY A20_I CE5;
A20_I_CE4_delay: DELAY A20_I CE4;
A20_I_CE3_delay: DELAY A20_I CE3;
A20_I_CE2_delay: DELAY A20_I CE2;
A20_I_CE1_delay: DELAY A20_I CE1;
A20_I_CE0_delay: DELAY A20_I CE0;
A20_I_OE_delay: DELAY A20_I OE;
CONIN_I_CE7_delay: DELAY CONIN_I CE7;
CONIN_I_CE6_delay: DELAY CONIN_I CE6;
CONIN_I_CE5_delay: DELAY CONIN_I CE5;
CONIN_I_CE4_delay: DELAY CONIN_I CE4;
CONIN_I_CE3_delay: DELAY CONIN_I CE3;
CONIN_I_CE2_delay: DELAY CONIN_I CE2;
CONIN_I_CE1_delay: DELAY CONIN_I CE1;
CONIN_I_CE0_delay: DELAY CONIN_I CE0;
CONIN_I_OE_delay: DELAY CONIN_I OE;
A19_I_CE7_delay: DELAY A19_I CE7;
A19_I_CE6_delay: DELAY A19_I CE6;
A19_I_CE5_delay: DELAY A19_I CE5;
A19_I_CE4_delay: DELAY A19_I CE4;
A19_I_CE3_delay: DELAY A19_I CE3;
A19_I_CE2_delay: DELAY A19_I CE2;
A19_I_CE1_delay: DELAY A19_I CE1;
A19_I_CE0_delay: DELAY A19_I CE0;
A19_I_OE_delay: DELAY A19_I OE;
A18_I_CE7_delay: DELAY A18_I CE7;
A18_I_CE6_delay: DELAY A18_I CE6;
A18_I_CE5_delay: DELAY A18_I CE5;
A18_I_CE4_delay: DELAY A18_I CE4;
A18_I_CE3_delay: DELAY A18_I CE3;
A18_I_CE2_delay: DELAY A18_I CE2;
A18_I_CE1_delay: DELAY A18_I CE1;
A18_I_CE0_delay: DELAY A18_I CE0;
A18_I_OE_delay: DELAY A18_I OE;
A17_I_CE7_delay: DELAY A17_I CE7;
A17_I_CE6_delay: DELAY A17_I CE6;
A17_I_CE5_delay: DELAY A17_I CE5;
A17_I_CE4_delay: DELAY A17_I CE4;
A17_I_CE3_delay: DELAY A17_I CE3;
A17_I_CE2_delay: DELAY A17_I CE2;
A17_I_CE1_delay: DELAY A17_I CE1;
A17_I_CE0_delay: DELAY A17_I CE0;
A17_I_OE_delay: DELAY A17_I OE;
A16_I_CE7_delay: DELAY A16_I CE7;
A16_I_CE6_delay: DELAY A16_I CE6;
A16_I_CE5_delay: DELAY A16_I CE5;
A16_I_CE4_delay: DELAY A16_I CE4;
A16_I_CE3_delay: DELAY A16_I CE3;
A16_I_CE2_delay: DELAY A16_I CE2;
A16_I_CE1_delay: DELAY A16_I CE1;
A16_I_CE0_delay: DELAY A16_I CE0;
A16_I_OE_delay: DELAY A16_I OE;
A1_I_CE7_delay: DELAY A1_I CE7;
A1_I_CE6_delay: DELAY A1_I CE6;
A1_I_CE5_delay: DELAY A1_I CE5;
A1_I_CE4_delay: DELAY A1_I CE4;
A1_I_CE3_delay: DELAY A1_I CE3;
A1_I_CE2_delay: DELAY A1_I CE2;
A1_I_CE1_delay: DELAY A1_I CE1;
A1_I_CE0_delay: DELAY A1_I CE0;
A1_I_OE_delay: DELAY A1_I OE;
A6_I_CE7_delay: DELAY A6_I CE7;
A6_I_CE6_delay: DELAY A6_I CE6;
A6_I_CE5_delay: DELAY A6_I CE5;
A6_I_CE4_delay: DELAY A6_I CE4;
A6_I_CE3_delay: DELAY A6_I CE3;
A6_I_CE2_delay: DELAY A6_I CE2;
A6_I_CE1_delay: DELAY A6_I CE1;
A6_I_CE0_delay: DELAY A6_I CE0;
A6_I_OE_delay: DELAY A6_I OE;
RW_I_CE7_delay: DELAY RW_I CE7;
RW_I_CE6_delay: DELAY RW_I CE6;
RW_I_CE5_delay: DELAY RW_I CE5;
RW_I_CE4_delay: DELAY RW_I CE4;
RW_I_CE3_delay: DELAY RW_I CE3;
RW_I_CE2_delay: DELAY RW_I CE2;
RW_I_CE1_delay: DELAY RW_I CE1;
RW_I_CE0_delay: DELAY RW_I CE0;
RW_I_OE_delay: DELAY RW_I OE;
A2_I_CE7_delay: DELAY A2_I CE7;
A2_I_CE6_delay: DELAY A2_I CE6;
A2_I_CE5_delay: DELAY A2_I CE5;
A2_I_CE4_delay: DELAY A2_I CE4;
A2_I_CE3_delay: DELAY A2_I CE3;
A2_I_CE2_delay: DELAY A2_I CE2;
A2_I_CE1_delay: DELAY A2_I CE1;
A2_I_CE0_delay: DELAY A2_I CE0;
A2_I_OE_delay: DELAY A2_I OE;
A5_I_CE7_delay: DELAY A5_I CE7;
A5_I_CE6_delay: DELAY A5_I CE6;
A5_I_CE5_delay: DELAY A5_I CE5;
A5_I_CE4_delay: DELAY A5_I CE4;
A5_I_CE3_delay: DELAY A5_I CE3;
A5_I_CE2_delay: DELAY A5_I CE2;
A5_I_CE1_delay: DELAY A5_I CE1;
A5_I_CE0_delay: DELAY A5_I CE0;
A5_I_OE_delay: DELAY A5_I OE;
A3_I_CE7_delay: DELAY A3_I CE7;
A3_I_CE6_delay: DELAY A3_I CE6;
A3_I_CE5_delay: DELAY A3_I CE5;
A3_I_CE4_delay: DELAY A3_I CE4;
A3_I_CE3_delay: DELAY A3_I CE3;
A3_I_CE2_delay: DELAY A3_I CE2;
A3_I_CE1_delay: DELAY A3_I CE1;
A3_I_CE0_delay: DELAY A3_I CE0;
A3_I_OE_delay: DELAY A3_I OE;
A4_I_CE7_delay: DELAY A4_I CE7;
A4_I_CE6_delay: DELAY A4_I CE6;
A4_I_CE5_delay: DELAY A4_I CE5;
A4_I_CE4_delay: DELAY A4_I CE4;
A4_I_CE3_delay: DELAY A4_I CE3;
A4_I_CE2_delay: DELAY A4_I CE2;
A4_I_CE1_delay: DELAY A4_I CE1;
A4_I_CE0_delay: DELAY A4_I CE0;
A4_I_OE_delay: DELAY A4_I OE;
A23_I_CE7_delay: DELAY A23_I CE7;
A23_I_CE6_delay: DELAY A23_I CE6;
A23_I_CE5_delay: DELAY A23_I CE5;
A23_I_CE4_delay: DELAY A23_I CE4;
A23_I_CE3_delay: DELAY A23_I CE3;
A23_I_CE2_delay: DELAY A23_I CE2;
A23_I_CE1_delay: DELAY A23_I CE1;
A23_I_CE0_delay: DELAY A23_I CE0;
A23_I_D12_IO_delay: DELAY A23_I D12_IO;
A23_I_OE_delay: DELAY A23_I OE;
A23_I_D13_IO_delay: DELAY A23_I D13_IO;
A23_I_D14_IO_delay: DELAY A23_I D14_IO;
A23_I_D15_IO_delay: DELAY A23_I D15_IO;
A22_I_CE7_delay: DELAY A22_I CE7;
A22_I_CE6_delay: DELAY A22_I CE6;
A22_I_CE5_delay: DELAY A22_I CE5;
A22_I_CE4_delay: DELAY A22_I CE4;
A22_I_CE3_delay: DELAY A22_I CE3;
A22_I_CE2_delay: DELAY A22_I CE2;
A22_I_CE1_delay: DELAY A22_I CE1;
A22_I_CE0_delay: DELAY A22_I CE0;
A22_I_D12_IO_delay: DELAY A22_I D12_IO;
A22_I_OE_delay: DELAY A22_I OE;
A22_I_D13_IO_delay: DELAY A22_I D13_IO;
A22_I_D14_IO_delay: DELAY A22_I D14_IO;
A22_I_D15_IO_delay: DELAY A22_I D15_IO;
A21_I_CE7_delay: DELAY A21_I CE7;
A21_I_CE6_delay: DELAY A21_I CE6;
A21_I_CE5_delay: DELAY A21_I CE5;
A21_I_CE4_delay: DELAY A21_I CE4;
A21_I_CE3_delay: DELAY A21_I CE3;
A21_I_CE2_delay: DELAY A21_I CE2;
A21_I_CE1_delay: DELAY A21_I CE1;
A21_I_CE0_delay: DELAY A21_I CE0;
A21_I_D12_IO_delay: DELAY A21_I D12_IO;
A21_I_OE_delay: DELAY A21_I OE;
A21_I_D13_IO_delay: DELAY A21_I D13_IO;
A21_I_D14_IO_delay: DELAY A21_I D14_IO;
A21_I_D15_IO_delay: DELAY A21_I D15_IO;
AS_00_I_CE7_delay: DELAY AS_00_I CE7;
AS_00_I_CE6_delay: DELAY AS_00_I CE6;
AS_00_I_CE5_delay: DELAY AS_00_I CE5;
AS_00_I_CE4_delay: DELAY AS_00_I CE4;
AS_00_I_CE3_delay: DELAY AS_00_I CE3;
AS_00_I_CE2_delay: DELAY AS_00_I CE2;
AS_00_I_CE1_delay: DELAY AS_00_I CE1;
AS_00_I_CE0_delay: DELAY AS_00_I CE0;
AS_00_I_D12_IO_delay: DELAY AS_00_I D12_IO;
AS_00_I_OE_delay: DELAY AS_00_I OE;
AS_00_I_D13_IO_delay: DELAY AS_00_I D13_IO;
AS_00_I_D14_IO_delay: DELAY AS_00_I D14_IO;
AS_00_I_D15_IO_delay: DELAY AS_00_I D15_IO;
A20_I_CE7_delay: DELAY A20_I CE7;
A20_I_CE6_delay: DELAY A20_I CE6;
A20_I_CE5_delay: DELAY A20_I CE5;
A20_I_CE4_delay: DELAY A20_I CE4;
A20_I_CE3_delay: DELAY A20_I CE3;
A20_I_CE2_delay: DELAY A20_I CE2;
A20_I_CE1_delay: DELAY A20_I CE1;
A20_I_CE0_delay: DELAY A20_I CE0;
A20_I_D12_IO_delay: DELAY A20_I D12_IO;
A20_I_OE_delay: DELAY A20_I OE;
A20_I_D13_IO_delay: DELAY A20_I D13_IO;
A20_I_D14_IO_delay: DELAY A20_I D14_IO;
A20_I_D15_IO_delay: DELAY A20_I D15_IO;
CONIN_I_CE7_delay: DELAY CONIN_I CE7;
CONIN_I_CE6_delay: DELAY CONIN_I CE6;
CONIN_I_CE5_delay: DELAY CONIN_I CE5;
CONIN_I_CE4_delay: DELAY CONIN_I CE4;
CONIN_I_CE3_delay: DELAY CONIN_I CE3;
CONIN_I_CE2_delay: DELAY CONIN_I CE2;
CONIN_I_CE1_delay: DELAY CONIN_I CE1;
CONIN_I_CE0_delay: DELAY CONIN_I CE0;
CONIN_I_D12_IO_delay: DELAY CONIN_I D12_IO;
CONIN_I_OE_delay: DELAY CONIN_I OE;
CONIN_I_D13_IO_delay: DELAY CONIN_I D13_IO;
CONIN_I_D14_IO_delay: DELAY CONIN_I D14_IO;
CONIN_I_D15_IO_delay: DELAY CONIN_I D15_IO;
A19_I_CE7_delay: DELAY A19_I CE7;
A19_I_CE6_delay: DELAY A19_I CE6;
A19_I_CE5_delay: DELAY A19_I CE5;
A19_I_CE4_delay: DELAY A19_I CE4;
A19_I_CE3_delay: DELAY A19_I CE3;
A19_I_CE2_delay: DELAY A19_I CE2;
A19_I_CE1_delay: DELAY A19_I CE1;
A19_I_CE0_delay: DELAY A19_I CE0;
A19_I_D12_IO_delay: DELAY A19_I D12_IO;
A19_I_OE_delay: DELAY A19_I OE;
A19_I_D13_IO_delay: DELAY A19_I D13_IO;
A19_I_D14_IO_delay: DELAY A19_I D14_IO;
A19_I_D15_IO_delay: DELAY A19_I D15_IO;
A18_I_CE7_delay: DELAY A18_I CE7;
A18_I_CE6_delay: DELAY A18_I CE6;
A18_I_CE5_delay: DELAY A18_I CE5;
A18_I_CE4_delay: DELAY A18_I CE4;
A18_I_CE3_delay: DELAY A18_I CE3;
A18_I_CE2_delay: DELAY A18_I CE2;
A18_I_CE1_delay: DELAY A18_I CE1;
A18_I_CE0_delay: DELAY A18_I CE0;
A18_I_D12_IO_delay: DELAY A18_I D12_IO;
A18_I_OE_delay: DELAY A18_I OE;
A18_I_D13_IO_delay: DELAY A18_I D13_IO;
A18_I_D14_IO_delay: DELAY A18_I D14_IO;
A18_I_D15_IO_delay: DELAY A18_I D15_IO;
A17_I_CE7_delay: DELAY A17_I CE7;
A17_I_CE6_delay: DELAY A17_I CE6;
A17_I_CE5_delay: DELAY A17_I CE5;
A17_I_CE4_delay: DELAY A17_I CE4;
A17_I_CE3_delay: DELAY A17_I CE3;
A17_I_CE2_delay: DELAY A17_I CE2;
A17_I_CE1_delay: DELAY A17_I CE1;
A17_I_CE0_delay: DELAY A17_I CE0;
A17_I_D12_IO_delay: DELAY A17_I D12_IO;
A17_I_OE_delay: DELAY A17_I OE;
A17_I_D13_IO_delay: DELAY A17_I D13_IO;
A17_I_D14_IO_delay: DELAY A17_I D14_IO;
A17_I_D15_IO_delay: DELAY A17_I D15_IO;
A16_I_CE7_delay: DELAY A16_I CE7;
A16_I_CE6_delay: DELAY A16_I CE6;
A16_I_CE5_delay: DELAY A16_I CE5;
A16_I_CE4_delay: DELAY A16_I CE4;
A16_I_CE3_delay: DELAY A16_I CE3;
A16_I_CE2_delay: DELAY A16_I CE2;
A16_I_CE1_delay: DELAY A16_I CE1;
A16_I_CE0_delay: DELAY A16_I CE0;
A16_I_D12_IO_delay: DELAY A16_I D12_IO;
A16_I_OE_delay: DELAY A16_I OE;
A16_I_D13_IO_delay: DELAY A16_I D13_IO;
A16_I_D14_IO_delay: DELAY A16_I D14_IO;
A16_I_D15_IO_delay: DELAY A16_I D15_IO;
A1_I_CE7_delay: DELAY A1_I CE7;
A1_I_CE6_delay: DELAY A1_I CE6;
A1_I_CE5_delay: DELAY A1_I CE5;
A1_I_CE4_delay: DELAY A1_I CE4;
A1_I_CE3_delay: DELAY A1_I CE3;
A1_I_CE2_delay: DELAY A1_I CE2;
A1_I_CE1_delay: DELAY A1_I CE1;
A1_I_CE0_delay: DELAY A1_I CE0;
A1_I_D12_IO_delay: DELAY A1_I D12_IO;
A1_I_OE_delay: DELAY A1_I OE;
A1_I_D13_IO_delay: DELAY A1_I D13_IO;
A1_I_D14_IO_delay: DELAY A1_I D14_IO;
A1_I_D15_IO_delay: DELAY A1_I D15_IO;
A6_I_CE7_delay: DELAY A6_I CE7;
A6_I_CE6_delay: DELAY A6_I CE6;
A6_I_CE5_delay: DELAY A6_I CE5;
A6_I_CE4_delay: DELAY A6_I CE4;
A6_I_CE3_delay: DELAY A6_I CE3;
A6_I_CE2_delay: DELAY A6_I CE2;
A6_I_CE1_delay: DELAY A6_I CE1;
A6_I_CE0_delay: DELAY A6_I CE0;
A6_I_D12_IO_delay: DELAY A6_I D12_IO;
A6_I_OE_delay: DELAY A6_I OE;
A6_I_D13_IO_delay: DELAY A6_I D13_IO;
A6_I_D14_IO_delay: DELAY A6_I D14_IO;
A6_I_D15_IO_delay: DELAY A6_I D15_IO;
RW_I_CE7_delay: DELAY RW_I CE7;
RW_I_CE6_delay: DELAY RW_I CE6;
RW_I_CE5_delay: DELAY RW_I CE5;
RW_I_CE4_delay: DELAY RW_I CE4;
RW_I_CE3_delay: DELAY RW_I CE3;
RW_I_CE2_delay: DELAY RW_I CE2;
RW_I_CE1_delay: DELAY RW_I CE1;
RW_I_CE0_delay: DELAY RW_I CE0;
RW_I_D12_IO_delay: DELAY RW_I D12_IO;
RW_I_OE_delay: DELAY RW_I OE;
RW_I_D13_IO_delay: DELAY RW_I D13_IO;
RW_I_D14_IO_delay: DELAY RW_I D14_IO;
RW_I_D15_IO_delay: DELAY RW_I D15_IO;
A2_I_CE7_delay: DELAY A2_I CE7;
A2_I_CE6_delay: DELAY A2_I CE6;
A2_I_CE5_delay: DELAY A2_I CE5;
A2_I_CE4_delay: DELAY A2_I CE4;
A2_I_CE3_delay: DELAY A2_I CE3;
A2_I_CE2_delay: DELAY A2_I CE2;
A2_I_CE1_delay: DELAY A2_I CE1;
A2_I_CE0_delay: DELAY A2_I CE0;
A2_I_D12_IO_delay: DELAY A2_I D12_IO;
A2_I_OE_delay: DELAY A2_I OE;
A2_I_D13_IO_delay: DELAY A2_I D13_IO;
A2_I_D14_IO_delay: DELAY A2_I D14_IO;
A2_I_D15_IO_delay: DELAY A2_I D15_IO;
A5_I_CE7_delay: DELAY A5_I CE7;
A5_I_CE6_delay: DELAY A5_I CE6;
A5_I_CE5_delay: DELAY A5_I CE5;
A5_I_CE4_delay: DELAY A5_I CE4;
A5_I_CE3_delay: DELAY A5_I CE3;
A5_I_CE2_delay: DELAY A5_I CE2;
A5_I_CE1_delay: DELAY A5_I CE1;
A5_I_CE0_delay: DELAY A5_I CE0;
A5_I_D12_IO_delay: DELAY A5_I D12_IO;
A5_I_OE_delay: DELAY A5_I OE;
A5_I_D13_IO_delay: DELAY A5_I D13_IO;
A5_I_D14_IO_delay: DELAY A5_I D14_IO;
A5_I_D15_IO_delay: DELAY A5_I D15_IO;
A3_I_CE7_delay: DELAY A3_I CE7;
A3_I_CE6_delay: DELAY A3_I CE6;
A3_I_CE5_delay: DELAY A3_I CE5;
A3_I_CE4_delay: DELAY A3_I CE4;
A3_I_CE3_delay: DELAY A3_I CE3;
A3_I_CE2_delay: DELAY A3_I CE2;
A3_I_CE1_delay: DELAY A3_I CE1;
A3_I_CE0_delay: DELAY A3_I CE0;
A3_I_D12_IO_delay: DELAY A3_I D12_IO;
A3_I_OE_delay: DELAY A3_I OE;
A3_I_D13_IO_delay: DELAY A3_I D13_IO;
A3_I_D14_IO_delay: DELAY A3_I D14_IO;
A3_I_D15_IO_delay: DELAY A3_I D15_IO;
A4_I_CE7_delay: DELAY A4_I CE7;
A4_I_CE6_delay: DELAY A4_I CE6;
A4_I_CE5_delay: DELAY A4_I CE5;
A4_I_CE4_delay: DELAY A4_I CE4;
A4_I_CE3_delay: DELAY A4_I CE3;
A4_I_CE2_delay: DELAY A4_I CE2;
A4_I_CE1_delay: DELAY A4_I CE1;
A4_I_CE0_delay: DELAY A4_I CE0;
A4_I_D12_IO_delay: DELAY A4_I D12_IO;
A4_I_OE_delay: DELAY A4_I OE;
A4_I_D13_IO_delay: DELAY A4_I D13_IO;
A4_I_D14_IO_delay: DELAY A4_I D14_IO;
A4_I_D15_IO_delay: DELAY A4_I D15_IO;

/* timing check arc definitions */
D15_IO_A22_I_setup: SETUP(POSEDGE) D15_IO A22_I;
D15_IO_A22_I_hold: HOLD(POSEDGE) D15_IO A22_I;
D15_IO_A17_I_setup: SETUP(POSEDGE) D15_IO A17_I;
D15_IO_A17_I_hold: HOLD(POSEDGE) D15_IO A17_I;
D15_IO_A2_I_setup: SETUP(POSEDGE) D15_IO A2_I;
D15_IO_A2_I_hold: HOLD(POSEDGE) D15_IO A2_I;
D15_IO_A19_I_setup: SETUP(POSEDGE) D15_IO A19_I;
D15_IO_A19_I_hold: HOLD(POSEDGE) D15_IO A19_I;
D15_IO_A4_I_setup: SETUP(POSEDGE) D15_IO A4_I;
D15_IO_A4_I_hold: HOLD(POSEDGE) D15_IO A4_I;
D15_IO_A6_I_setup: SETUP(POSEDGE) D15_IO A6_I;
D15_IO_A6_I_hold: HOLD(POSEDGE) D15_IO A6_I;
D15_IO_A21_I_setup: SETUP(POSEDGE) D15_IO A21_I;
D15_IO_A21_I_hold: HOLD(POSEDGE) D15_IO A21_I;
D15_IO_A16_I_setup: SETUP(POSEDGE) D15_IO A16_I;
D15_IO_A16_I_hold: HOLD(POSEDGE) D15_IO A16_I;
D15_IO_A23_I_setup: SETUP(POSEDGE) D15_IO A23_I;
D15_IO_A23_I_hold: HOLD(POSEDGE) D15_IO A23_I;
D15_IO_A1_I_setup: SETUP(POSEDGE) D15_IO A1_I;
D15_IO_A1_I_hold: HOLD(POSEDGE) D15_IO A1_I;
D15_IO_A18_I_setup: SETUP(POSEDGE) D15_IO A18_I;
D15_IO_A18_I_hold: HOLD(POSEDGE) D15_IO A18_I;
D15_IO_CONIN_I_setup: SETUP(POSEDGE) D15_IO CONIN_I;
D15_IO_CONIN_I_hold: HOLD(POSEDGE) D15_IO CONIN_I;
D15_IO_AS_00_I_setup: SETUP(POSEDGE) D15_IO AS_00_I;
D15_IO_AS_00_I_hold: HOLD(POSEDGE) D15_IO AS_00_I;
D15_IO_A3_I_setup: SETUP(POSEDGE) D15_IO A3_I;
D15_IO_A3_I_hold: HOLD(POSEDGE) D15_IO A3_I;
D15_IO_RW_I_setup: SETUP(POSEDGE) D15_IO RW_I;
D15_IO_RW_I_hold: HOLD(POSEDGE) D15_IO RW_I;
D15_IO_A5_I_setup: SETUP(POSEDGE) D15_IO A5_I;
D15_IO_A5_I_hold: HOLD(POSEDGE) D15_IO A5_I;
D15_IO_A20_I_setup: SETUP(POSEDGE) D15_IO A20_I;
D15_IO_A20_I_hold: HOLD(POSEDGE) D15_IO A20_I;
D14_IO_A22_I_setup: SETUP(POSEDGE) D14_IO A22_I;
D14_IO_A22_I_hold: HOLD(POSEDGE) D14_IO A22_I;
D14_IO_A17_I_setup: SETUP(POSEDGE) D14_IO A17_I;
D14_IO_A17_I_hold: HOLD(POSEDGE) D14_IO A17_I;
D14_IO_A2_I_setup: SETUP(POSEDGE) D14_IO A2_I;
D14_IO_A2_I_hold: HOLD(POSEDGE) D14_IO A2_I;
D14_IO_A19_I_setup: SETUP(POSEDGE) D14_IO A19_I;
D14_IO_A19_I_hold: HOLD(POSEDGE) D14_IO A19_I;
D14_IO_A4_I_setup: SETUP(POSEDGE) D14_IO A4_I;
D14_IO_A4_I_hold: HOLD(POSEDGE) D14_IO A4_I;
D14_IO_A6_I_setup: SETUP(POSEDGE) D14_IO A6_I;
D14_IO_A6_I_hold: HOLD(POSEDGE) D14_IO A6_I;
D14_IO_A21_I_setup: SETUP(POSEDGE) D14_IO A21_I;
D14_IO_A21_I_hold: HOLD(POSEDGE) D14_IO A21_I;
D14_IO_A16_I_setup: SETUP(POSEDGE) D14_IO A16_I;
D14_IO_A16_I_hold: HOLD(POSEDGE) D14_IO A16_I;
D14_IO_A23_I_setup: SETUP(POSEDGE) D14_IO A23_I;
D14_IO_A23_I_hold: HOLD(POSEDGE) D14_IO A23_I;
D14_IO_A1_I_setup: SETUP(POSEDGE) D14_IO A1_I;
D14_IO_A1_I_hold: HOLD(POSEDGE) D14_IO A1_I;
D14_IO_A18_I_setup: SETUP(POSEDGE) D14_IO A18_I;
D14_IO_A18_I_hold: HOLD(POSEDGE) D14_IO A18_I;
D14_IO_CONIN_I_setup: SETUP(POSEDGE) D14_IO CONIN_I;
D14_IO_CONIN_I_hold: HOLD(POSEDGE) D14_IO CONIN_I;
D14_IO_AS_00_I_setup: SETUP(POSEDGE) D14_IO AS_00_I;
D14_IO_AS_00_I_hold: HOLD(POSEDGE) D14_IO AS_00_I;
D14_IO_A3_I_setup: SETUP(POSEDGE) D14_IO A3_I;
D14_IO_A3_I_hold: HOLD(POSEDGE) D14_IO A3_I;
D14_IO_RW_I_setup: SETUP(POSEDGE) D14_IO RW_I;
D14_IO_RW_I_hold: HOLD(POSEDGE) D14_IO RW_I;
D14_IO_A5_I_setup: SETUP(POSEDGE) D14_IO A5_I;
D14_IO_A5_I_hold: HOLD(POSEDGE) D14_IO A5_I;
D14_IO_A20_I_setup: SETUP(POSEDGE) D14_IO A20_I;
D14_IO_A20_I_hold: HOLD(POSEDGE) D14_IO A20_I;
D13_IO_A22_I_setup: SETUP(POSEDGE) D13_IO A22_I;
D13_IO_A22_I_hold: HOLD(POSEDGE) D13_IO A22_I;
D13_IO_A17_I_setup: SETUP(POSEDGE) D13_IO A17_I;
D13_IO_A17_I_hold: HOLD(POSEDGE) D13_IO A17_I;
D13_IO_A2_I_setup: SETUP(POSEDGE) D13_IO A2_I;
D13_IO_A2_I_hold: HOLD(POSEDGE) D13_IO A2_I;
D13_IO_A19_I_setup: SETUP(POSEDGE) D13_IO A19_I;
D13_IO_A19_I_hold: HOLD(POSEDGE) D13_IO A19_I;
D13_IO_A4_I_setup: SETUP(POSEDGE) D13_IO A4_I;
D13_IO_A4_I_hold: HOLD(POSEDGE) D13_IO A4_I;
D13_IO_A6_I_setup: SETUP(POSEDGE) D13_IO A6_I;
D13_IO_A6_I_hold: HOLD(POSEDGE) D13_IO A6_I;
D13_IO_A21_I_setup: SETUP(POSEDGE) D13_IO A21_I;
D13_IO_A21_I_hold: HOLD(POSEDGE) D13_IO A21_I;
D13_IO_A16_I_setup: SETUP(POSEDGE) D13_IO A16_I;
D13_IO_A16_I_hold: HOLD(POSEDGE) D13_IO A16_I;
D13_IO_A23_I_setup: SETUP(POSEDGE) D13_IO A23_I;
D13_IO_A23_I_hold: HOLD(POSEDGE) D13_IO A23_I;
D13_IO_A1_I_setup: SETUP(POSEDGE) D13_IO A1_I;
D13_IO_A1_I_hold: HOLD(POSEDGE) D13_IO A1_I;
D13_IO_A18_I_setup: SETUP(POSEDGE) D13_IO A18_I;
D13_IO_A18_I_hold: HOLD(POSEDGE) D13_IO A18_I;
D13_IO_CONIN_I_setup: SETUP(POSEDGE) D13_IO CONIN_I;
D13_IO_CONIN_I_hold: HOLD(POSEDGE) D13_IO CONIN_I;
D13_IO_AS_00_I_setup: SETUP(POSEDGE) D13_IO AS_00_I;
D13_IO_AS_00_I_hold: HOLD(POSEDGE) D13_IO AS_00_I;
D13_IO_A3_I_setup: SETUP(POSEDGE) D13_IO A3_I;
D13_IO_A3_I_hold: HOLD(POSEDGE) D13_IO A3_I;
D13_IO_RW_I_setup: SETUP(POSEDGE) D13_IO RW_I;
D13_IO_RW_I_hold: HOLD(POSEDGE) D13_IO RW_I;
D13_IO_A5_I_setup: SETUP(POSEDGE) D13_IO A5_I;
D13_IO_A5_I_hold: HOLD(POSEDGE) D13_IO A5_I;
D13_IO_A20_I_setup: SETUP(POSEDGE) D13_IO A20_I;
D13_IO_A20_I_hold: HOLD(POSEDGE) D13_IO A20_I;

ENDMODEL
